View Issue Details

IDProjectCategoryView StatusLast Update
0000123Far Manager 1.7xHistorypublic2007-07-16 16:07
ReporterHaRTAssigned Tovskirdin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.70 
Target VersionFixed in Version1.71 
Summary0000123: AltF12 - <no-real-file plugin entry> - Enter - "File not found"
DescriptionВ Истории папок (AltF12) при попытке перейти (Enter) на элемент от не-файлового плагина (напр. "reg: HKEY_CURRENT_USER" от плагина FarReg от Михаила Юциса) Фаром выдаётся сообщение об ошибке: File not found, притом вне зависимости от того, произведена ли эта попытка из файловой панели, панели того же плагина или панели какого-то другого плагина.

Хотелось бы, чтобы поведение в этом случае было такое же, как в Far 1.7 b.1634, т.е. чтобы элемент Истории отрабатывал так, как будто он "запущен" из командной строки.

Примечание: очень желательно, чтобы элемент истории "запускался" вместе с префиксом плагина.
Steps To ReproduceПроверялось с 1--2 плагинами и без макросов.
Additional Informationhttp://forum.farmanager.com/viewtopic.php?p=3976#3976
.2
TagsNo tags attached.
Build

Activities

vskirdin

2006-04-11 05:54

administrator   bugnote:0000130

Оооочень тчательно тестируем хистори + cmdline + с плагинами....
http://farmanager.com/farbugs/hist.test.1.rar

vskirdin

2006-04-13 12:35

administrator   bugnote:0000131

С ограничениями. Будет TechInfo
см. после 2092

Issue History

Date Modified Username Field Change
2006-04-05 12:40 HaRT New Issue
2006-04-11 05:50 vskirdin Status new => assigned
2006-04-11 05:50 vskirdin Assigned To => vskirdin
2006-04-11 05:54 vskirdin Note Added: 0000130
2006-04-13 12:35 vskirdin Status assigned => resolved
2006-04-13 12:35 vskirdin Fixed in Version => 1.71
2006-04-13 12:35 vskirdin Resolution open => fixed
2006-04-13 12:35 vskirdin Note Added: 0000131
2007-07-16 16:07 alexy Status resolved => closed